PDA

View Full Version : Problem to start resion 4.0


pjy
05-18-2010, 10:08 PM
I am trying to install subEtha and they recommend use resin version 4.0.
I expect that install resin is very easy to do because I am using java every day but that it is not.
I downloaded 4.0 alpha and extracted it.

After that I tried start resin using command ./resin.sh start. It doesn't start and show error message:
Resin/4.0.s100409 can't start -server '' for watchdog at 127.0.0.1:6600.
<user-name> requires compiled JNI.
Unable to find native library 'resin_os' for com.caucho.bootjni.JniProcess. Resin expects to find this library in:
(Unix) /vol/resin-4.0.s100409/libexec/libresin_os.so
On Unix, run ./configure; make; make install.

The JVM exception was: java.lang.UnsatisfiedLinkError: no resin_os in java.library.path


First I can't find any libexec directory. Second I am not familiar in c and I tried to run ./configure without showing any good result
checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking target system type... i686-pc-linux-gnu
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for gcc... no
checking for cc... no
checking for cl.exe... no
configure: error: in `/vol/resin':
configure: error: no acceptable C compiler found in $PATH
See `config.log' for more details.

:eek:
I tested that cpp has installed.

If someone can help me "step by step" it would be nice.

emil
05-19-2010, 05:13 PM
Hi,

You'll need to install gcc. Which operating system are you using?

Thanks,
Emil

pjy
05-19-2010, 07:50 PM
Thanks! This help

pitbull
05-25-2010, 05:57 AM
Your information helped me to. I have installed gcc and I am OK with resion. Thanks.